Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.spi
Interface AuditService

    public interface AuditService

Interface for audit service components. Via such a component you can receive eID Applet Service security related events.

Author:
  Frank Cornelis

Method Summary
`void` | `authenticated(String userId)` Called by the eID Applet Service in case a citizen has been successfully authenticated using the eID Applet.
`void` | `authenticationError(String remoteAddress, X509Certificate clientCertificate)` Called by the eID Applet Service in case the eID Applet responded with an invalid authentication signature.
`void` | `identified(String userId)` Called by the eID Applet Service in case a citizen has been successfully identified using the eID Applet.
`void` | `identityIntegrityError(String remoteAddress)` Called by the eID Applet Service in case the eID Applet detects an integrity error during the identity data verification.
`void` | `signatureError(String remoteAddress, X509Certificate clientCertificate)` Called by the eID Applet Service in case the eID Applet responded with an invalid non-repudiation signature.
`void` | `signed(String userId)` Called by the eID Applet Service in case a user created a non-repudiation signature.

Method Detail

### authenticated

    void authenticated(String userId)

  Called by the eID Applet Service in case a citizen has been successfully authenticated using the eID Applet.

  Parameters:
    `userId` - the unique identifier of the authenticated user.

### identified

    void identified(String userId)

  Called by the eID Applet Service in case a citizen has been successfully identified using the eID Applet.

  Parameters:
    `userId` - the unique identifier of the identified user.

### authenticationError

    void authenticationError(String remoteAddress,
                             X509Certificate clientCertificate)

  Called by the eID Applet Service in case the eID Applet responded with an invalid authentication signature.

  Parameters:
    `remoteAddress` - the remote address of the client causing the authentication error.
    `clientCertificate` - the X509 certificate causing the authentication error.

### identityIntegrityError

    void identityIntegrityError(String remoteAddress)

  Called by the eID Applet Service in case the eID Applet detects an integrity error during the identity data verification.

  Parameters:
    `remoteAddress` - the remote address of the client causing the integrity error.

### signatureError

    void signatureError(String remoteAddress,
                        X509Certificate clientCertificate)

  Called by the eID Applet Service in case the eID Applet responded with an invalid non-repudiation signature.

  Parameters:
    `remoteAddress` - the remote address of the client causing the signature error.
    `clientCertificate` - the X509 certificate causing the signature error.

### signed

    void signed(String userId)

  Called by the eID Applet Service in case a user created a non-repudiation signature.

  Parameters:
    `userId` - the unique identifier of the user creating a non-repudiation signature.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.